### A free/open-source library for quantitative finance

Public Member Functions
NewtonSafe Class Reference

safe Newton 1-D solver More...

`#include <ql/math/solvers1d/newtonsafe.hpp>`

Inheritance diagram for NewtonSafe:
[legend]

List of all members.

## Public Member Functions

template<class F >
Real | solveImpl (const F &f, Real xAccuracy) const

## Detailed Description

safe Newton 1-D solver

Note:
  This solver requires that the passed function object implement a method `Real derivative(Real)`.

Tests:
  the correctness of the returned values is tested by checking them against known good results.